Strophe 0.9 XMPP client library

Data Fields
xmpp_conn_t Struct Reference

## Data Fields
unsigned int | ref
xmpp_ctx_t * | ctx
xmpp_conn_type_t | type
int | is_raw
xmpp_conn_state_t | state
uint64_t | timeout_stamp
int | error
xmpp_stream_error_t * | stream_error
sock_t | sock
int | ka_timeout
int | ka_interval
tls_t * | tls
int | tls_support
int | tls_disabled
int | tls_mandatory
int | tls_legacy_ssl
int | tls_failed
int | sasl_support
int | secured
int | bind_required
int | session_required
char * | lang
char * | domain
char * | jid
char * | pass
char * | bound_jid
char * | stream_id
int | blocking_send
int | send_queue_max
int | send_queue_len
xmpp_send_queue_t * | send_queue_head
xmpp_send_queue_t * | send_queue_tail
int | reset_parser
parser_t * | parser
unsigned int | connect_timeout
xmpp_open_handler | open_handler
int | authenticated
xmpp_conn_handler | conn_handler
void * | userdata
xmpp_handlist_t * | timed_handlers
hash_t * | id_handlers
xmpp_handlist_t * | handlers

## Field Documentation

## § ref

unsigned int xmpp_conn_t::ref

## § ctx

xmpp_ctx_t* xmpp_conn_t::ctx

## § type

xmpp_conn_type_t xmpp_conn_t::type

## § is_raw

int xmpp_conn_t::is_raw

## § state

xmpp_conn_state_t xmpp_conn_t::state

## § timeout_stamp

uint64_t xmpp_conn_t::timeout_stamp

## § error

int xmpp_conn_t::error

## § stream_error

xmpp_stream_error_t* xmpp_conn_t::stream_error

## § sock

sock_t xmpp_conn_t::sock

## § ka_timeout

int xmpp_conn_t::ka_timeout

## § ka_interval

int xmpp_conn_t::ka_interval

## § tls

tls_t* xmpp_conn_t::tls

## § tls_support

int xmpp_conn_t::tls_support

## § tls_disabled

int xmpp_conn_t::tls_disabled

## § tls_mandatory

int xmpp_conn_t::tls_mandatory

## § tls_legacy_ssl

int xmpp_conn_t::tls_legacy_ssl

## § tls_failed

int xmpp_conn_t::tls_failed

## § sasl_support

int xmpp_conn_t::sasl_support

## § secured

int xmpp_conn_t::secured

## § bind_required

int xmpp_conn_t::bind_required

## § session_required

int xmpp_conn_t::session_required

## § lang

char* xmpp_conn_t::lang

## § domain

char* xmpp_conn_t::domain

## § jid

char* xmpp_conn_t::jid

## § pass

char* xmpp_conn_t::pass

## § bound_jid

char* xmpp_conn_t::bound_jid

## § stream_id

char* xmpp_conn_t::stream_id

## § blocking_send

int xmpp_conn_t::blocking_send

## § send_queue_max

int xmpp_conn_t::send_queue_max

## § send_queue_len

int xmpp_conn_t::send_queue_len

## § send_queue_head

xmpp_send_queue_t* xmpp_conn_t::send_queue_head

## § send_queue_tail

xmpp_send_queue_t* xmpp_conn_t::send_queue_tail

## § reset_parser

int xmpp_conn_t::reset_parser

## § parser

parser_t* xmpp_conn_t::parser

## § connect_timeout

unsigned int xmpp_conn_t::connect_timeout

## § open_handler

xmpp_open_handler xmpp_conn_t::open_handler

## § authenticated

int xmpp_conn_t::authenticated

## § conn_handler

xmpp_conn_handler xmpp_conn_t::conn_handler

## § userdata

void* xmpp_conn_t::userdata

## § timed_handlers

xmpp_handlist_t* xmpp_conn_t::timed_handlers

## § id_handlers

hash_t* xmpp_conn_t::id_handlers

## § handlers

xmpp_handlist_t* xmpp_conn_t::handlers

The documentation for this struct was generated from the following file:

- common.h